Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class PropertyChoiceExistsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.content.RepositoryException
                  com.bea.content.PropertyChoiceExistsException

All Implemented Interfaces
  Serializable

    public class PropertyChoiceExistsException

extends RepositoryException

Thrown if trying to add a PropertyChoice to an ObjectClass with the same name as one that already exists.

See Also
  Serialized Form

Constructor Summary
`PropertyChoiceExistsException(String message)`
`PropertyChoiceExistsException(String message, Throwable cause)`
`PropertyChoiceExistsException(String message, Throwable cause, boolean log)`
`PropertyChoiceExistsException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyChoiceExistsException

    public PropertyChoiceExistsException(String message)

### PropertyChoiceExistsException

    public PropertyChoiceExistsException(String message,
                                         Throwable cause)

### PropertyChoiceExistsException

    public PropertyChoiceExistsException(Throwable cause)

### PropertyChoiceExistsException

    public PropertyChoiceExistsException(String message,
                                         Throwable cause,
                                         boolean log)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.